# TCGBAuthGuestLogin Class Reference

Inherits from | NSObject
Conforms to | TCGBAuthAdapterDelegate
Declared in | TCGBAuthGuestLogin.h TCGBAuthGuestLogin.m

## Adapter information

### `– initWithAdditionalInfo:`

## @name Authentication API

`- (instancetype)initWithAdditionalInfo:(TCGBAuthAdapterAdditionalInfo *)additionalInfo`

#### Declared In

`TCGBAuthAdapterDelegate.h`

### `– loginWithSender:target:additionalInfo:viewController:completion:`

Login to identity service provider.

`- (void)loginWithSender:(NSObject *)sender target:(id<TCGBAuthAdapterDelegate>)target additionalInfo:(NSDictionary<NSString*,id> *)additionalInfo viewController:(UIViewController *)viewController completion:(void ( ^ ) ( TCGBProviderAuthCredential *_Nullable , TCGBError *_Nullable ))completion`

#### Parameters

`sender` | sender instance
`target` | target instance
`additionalInfo` | If identity provider needs to set something when it is initialized, this additionanlInfo is set.
`viewController` | presenting view controller
`completion` | completion handler when auth process(login, logout, withdraw) is completed.

#### Declared In

`TCGBAuthAdapterDelegate.h`

### `– logoutWithSender:target:additionalInfo:completion:`

AccessToken Standard = “GAMEBASE” + deviceKey(UUID)

`- (void)logoutWithSender:(nonnull NSObject *)sender target:(nonnull id<TCGBAuthAdapterDelegate>)target additionalInfo:(nullable NSDictionary<NSString*,id> *)additionalInfo completion:(nonnull void ( ^ ) ( TCGBError *_Nullable ))completion`

#### Declared In

`TCGBAuthGuestLogin.m`

### `– withdrawWithSender:target:additionalInfo:completion:`

Withdrwal to identity service provider.

`- (void)withdrawWithSender:(nonnull NSObject *)sender target:(nonnull id<TCGBAuthAdapterDelegate>)target additionalInfo:(nullable NSDictionary<NSString*,id> *)additionalInfo completion:(nonnull void ( ^ ) ( TCGBError *_Nullable ))completion`

#### Parameters

`sender` | sender instance
`target` | target instance
`additionalInfo` | If identity provider needs to set something when it is initialized, this additionanlInfo is set.
`completion` | completion handler when auth process(login, logout, withdraw) is completed.

#### Declared In

`TCGBAuthAdapterDelegate.h`

### `– providerName`

Provider’s name

`- (NSString *)providerName`

#### Return Value

Provider’s name

#### Declared In

`TCGBAuthAdapterDelegate.h`

### `+ versionString`

semantic version string of Auth Adapter

`+ (NSString *)versionString`

#### Return Value

semantic version string of Auth Adapter

#### Declared In

`TCGBAuthAdapterDelegate.h`

### `– profile`

AccessToken Standard = “GAMEBASE” + deviceKey(UUID)

`- (TCGBAuthProviderProfile *)profile`

#### Declared In

`TCGBAuthGuestLogin.m`